### Enumeration

# Gdk SurfaceEdge

#### Declaration

    enum Gdk.SurfaceEdge

#### Description [src]

Determines a surface edge or corner.

#### Members

`GDK_SURFACE_EDGE_NORTH_WEST`

  The top left corner.

  - Value: `0`
  - Available since: 4.0
`GDK_SURFACE_EDGE_NORTH`

  The top edge.

  - Value: `1`
  - Available since: 4.0
`GDK_SURFACE_EDGE_NORTH_EAST`

  The top right corner.

  - Value: `2`
  - Available since: 4.0
`GDK_SURFACE_EDGE_WEST`

  The left edge.

  - Value: `3`
  - Available since: 4.0
`GDK_SURFACE_EDGE_EAST`

  The right edge.

  - Value: `4`
  - Available since: 4.0
`GDK_SURFACE_EDGE_SOUTH_WEST`

  The lower left corner.

  - Value: `5`
  - Available since: 4.0
`GDK_SURFACE_EDGE_SOUTH`

  The lower edge.

  - Value: `6`
  - Available since: 4.0
`GDK_SURFACE_EDGE_SOUTH_EAST`

  The lower right corner.

  - Value: `7`
  - Available since: 4.0